#if !defined(__gd_dmabd_h)              // Sentry, use file only if it's not already included.
#define __gd_dmabd_h

/*  Project gdi_demo
    
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    gdi_demo.exe Application
    FILE:         gd_dmabd.h
    AUTHOR:       S.Vartanov


    OVERVIEW
    ========
    Class definition for gdi_demoAboutDlg (TDialog).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "gd_dmapp.rh"                  // Definition of all resources.


//{{TDialog = gdi_demoAboutDlg}}
class gdi_demoAboutDlg : public TDialog {
public:
    gdi_demoAboutDlg (TWindow *parent, TResId resId = IDD_ABOUT, TModule *module = 0);
    virtual ~gdi_demoAboutDlg ();

//{{gdi_demoAboutDlgVIRTUAL_BEGIN}}
public:
    void SetupWindow ();
//{{gdi_demoAboutDlgVIRTUAL_END}}
};    //{{gdi_demoAboutDlg}}


// Reading the VERSIONINFO resource.
class ProjectRCVersion {
public:
    ProjectRCVersion (TModule *module);
    virtual ~ProjectRCVersion ();

    bool GetProductName (LPSTR &prodName);
    bool GetProductVersion (LPSTR &prodVersion);
    bool GetCopyright (LPSTR &copyright);
    bool GetDebug (LPSTR &debug);

protected:
    LPBYTE      TransBlock;
    void FAR    *FVData;

private:
    // Don't allow this object to be copied.
    ProjectRCVersion (const ProjectRCVersion &);
    ProjectRCVersion & operator =(const ProjectRCVersion &);
};


#endif                                      // __gd_dmabd_h sentry.
